﻿using System;
using System.Web.Mvc;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.MvcEdition;

namespace DisplayASimpleMapForMvc.Controllers
{
    public class IndexController : Controller
    {
        //
        // GET: /UseDraggableMarkers/

        public ActionResult Index()
        {
            Map map = new Map("Map1",
    new System.Web.UI.WebControls.Unit(100, System.Web.UI.WebControls.UnitType.Percentage),
    new System.Web.UI.WebControls.Unit(100, System.Web.UI.WebControls.UnitType.Percentage));

            map.MapUnit = GeographyUnit.DecimalDegree;
            map.CurrentExtent = new RectangleShape(-155.733, 95.60, 104.42, -81.9);

            ClassBreakStyle classBreakStyle = new ClassBreakStyle("POP1990");
            classBreakStyle.BreakValueInclusion = BreakValueInclusion.IncludeValue;
            classBreakStyle.ClassBreaks.Add(new ClassBreak(453588, new AreaStyle(new GeoPen(new GeoColor(255, 0, 0, 0)), new GeoSolidBrush(new GeoColor(255, 154, 205, 50)))));
            classBreakStyle.ClassBreaks.Add(new ClassBreak(7780196.25, new AreaStyle(new GeoPen(new GeoColor(255, 0, 0, 0)), new GeoSolidBrush(new GeoColor(255, 211, 217, 37)))));
            classBreakStyle.ClassBreaks.Add(new ClassBreak(15106804, new AreaStyle(new GeoPen(new GeoColor(255, 0, 0, 0)), new GeoSolidBrush(new GeoColor(255, 230, 168, 24)))));

            ShapeFileFeatureLayer worldLayer = new ShapeFileFeatureLayer(Server.MapPath("~/Data/USStates.shp"));
            worldLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            worldLayer.ZoomLevelSet.ZoomLevel01.CustomStyles.Add(classBreakStyle);

            LayerOverlay overlay = new LayerOverlay();
            overlay.Layers.Add(worldLayer);

            map.CustomOverlays.Add(overlay);
            return View(map);
        }
    }
}
